• Site mis à jour le 03 juin 2019

Plus d'éditeur depuis la maj 2.6.9 en raison du https

  • LeMalouin
  • Auteur du sujet
  • Hors Ligne
  • Nouveau Rédacteur
  • Nouveau Rédacteur
Plus d'informations
il y a 1 an 10 mois - il y a 1 an 9 mois #11653 par LeMalouin
Bonjour Sarki ;)

Depuis la maj de JCE je n'ai plus d'éditeur de visible en backend.
J'ai un picto marche / arrêt à la plage en haut à gauche de l'emplacement de l'éditeur.
Pour le moment j'ai remis par défaut l'éditeur natif.
J'avais eu ce souci sur une version de JCE mais il y a bien longtemps déjà.
Tu en penses quoi?



Merci

@+
Pièces jointes :
Dernière édition: il y a 1 an 9 mois par mihaly.

Connexion ou Créer un compte pour participer à la conversation.

Plus d'informations
il y a 1 an 10 mois - il y a 1 an 10 mois #11657 par mihaly
Hello,
Cela ressemble à un blocage du chargement de l'éditeur, le script qui est bloqué par un conflit.
Regarde si tu as une compression Gzip JavaScript ou même CSS dans la config de JCE et de Joomla, si c'est le cas désactive et réactive pour régénérer le fichier compressé/optimisé.
Attention, tu peux également avoir cette compression qui s'effectue par les paramètres du template suivant celui que tu utilises, et il y a également des plugins d’accélération/optimisation du site qui font la même chose.

Mihàly Marti alias Sarki
Dernière édition: il y a 1 an 10 mois par mihaly.

Connexion ou Créer un compte pour participer à la conversation.

  • LeMalouin
  • Auteur du sujet
  • Hors Ligne
  • Nouveau Rédacteur
  • Nouveau Rédacteur
Plus d'informations
il y a 1 an 10 mois #11658 par LeMalouin
Réponse de LeMalouin sur le sujet Plus d'éditeur depuis la maj 2.6.9 en raison du https
Bonjour,

J'avais lu effectivement cette astuce hier avant de poster sur le forum ;)

Je te confirme que non cela n'arrange pas la visibilité de JCE dans joomla.

"Attention, tu peux également avoir cette compression qui s'effectue par les paramètres du template"
J'utilise un template ARTIS qui est depuis le début du montage du site et qui fonctionne avec JCE depuis plus de 6 mois.

"il y a également des plugins d’accélération/optimisation du site qui font la même chose."
C'est à dire?!? je ne connais pas ce genre de plugin. Tu as un exemple? Pour ma part je n'ai pas installé ce genre de plugin.

A te lire merci

@+

Connexion ou Créer un compte pour participer à la conversation.

Plus d'informations
il y a 1 an 10 mois #11659 par mihaly
Hello LeMalouin,
Si tu n'as pas installé ce genre de plugin alors oublie, par contre si tu as une compression activée dans les paramètres du template il te faut faire ce que j'ai dit, même si cela fonctionnait depuis six mois, s'il y a eu une mise à jour importante dans les scripts de l'éditeur, il est normal que que cela ne fonctionne plus si le fichier appelé et celui de la compression qui ne correspond plus.
Cela dit cela peut être autre chose...
Quel est l'ancienneté du profil JCE que tu utilises ? C'est à dire depuis combien de temps date la première installation de JCE dans ton site ? Si le profil a plus de trois ans par exemple, il est possible que cela bug.
Et ta version PHP est bien de 5.3 minimum ?

Mihàly Marti alias Sarki

Connexion ou Créer un compte pour participer à la conversation.

  • LeMalouin
  • Auteur du sujet
  • Hors Ligne
  • Nouveau Rédacteur
  • Nouveau Rédacteur
Plus d'informations
il y a 1 an 10 mois #11660 par LeMalouin
Réponse de LeMalouin sur le sujet Plus d'éditeur depuis la maj 2.6.9 en raison du https
re,

Le template n'a pas de fonction compression.
Mon JCE est de janvier
PHP 5.6.XX
Je suis passé en HTTPS depuis avec une licence SSL comodo.
Pour le moment j'ai pas trouvé de solution.
Mais j'ai l'impression que mes éditeurs autres que JCE se bloque aussi. Exemple avec l'éditeur TinyMCE j'ai ce message :
Failed to load plugin: jdragdrop from url www.XXXXXXXX/media/editors/tinymce/js/plugins/dragdrop/plugin.min.js×

@+

Connexion ou Créer un compte pour participer à la conversation.

Plus d'informations
il y a 1 an 10 mois #11662 par mihaly
Hello,
Il semble que j'avais raison quand je disais plus haut : "Cela ressemble à un blocage du chargement de l'éditeur, le script qui est bloqué par un conflit".
Il faut chercher à mon sens du côté des plugins si tu n'as pas un CCK installé comme Flexicontent, Seblod, K2 ou autre, probablement un bouton qui s'affiche sous l'éditeur, ce sont des plugins de type "editors-xtd" qui, dans TinyMCE selon sa configuration, s'affichent directement dans la barre d'outils.
Essaie de les dépublier un à un pour voir lequel est responsable du problème, et si ce n'est aucun d'eux alors c'est un plugin de type "content" ou "system".

Mihàly Marti alias Sarki
Les utilisateur(s) suivant ont remercié: LeMalouin

Connexion ou Créer un compte pour participer à la conversation.

Temps de génération de la page : 0.208 secondes
Propulsé par Kunena

Rechercher